<?php
/**
 * @version    $version 1.0
 * @copyright    Copyright (C) 2018 Mambrum Inc. All rights reserved.
 * @license    GNU/GPL, see LICENSE.php
 * 
 *
 * Website: http://www.mambrum.com
 * Email: contactus@mambrum.com
 *
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 *
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgSystemMambrum extends JPlugin
{
    function plgMambrum(&$subject, $config)
    {
        parent::__construct($subject, $config);
        $this->_plugin = JPluginHelper::getPlugin('system', 'Mambrum');
	$this->params = new JRegistry();
	$this->params->loadString($this->_plugin->params);
	
        //$this->_params = new JParameter($this->_plugin->params);
    }

    function onAfterRender()
    {
       	$clientId = $this->params->get('code', '');

        $script = '';
        $app = JFactory::getApplication();

        if ($app->isAdmin())
            return;

        //$buffer = JResponse::getBody();
        $buffer = $app->getBody();

   		$script = "<script>
				(function(g,c,d,e,h,f,a,b)
				{a=c.createElement(d);
   				a.async=1;a.src=e;
   				a.setAttribute('data-mb-cid',f);
          a.setAttribute('data-mb-autoinit','1');
   				b=c.getElementsByTagName(d)[0];
   				b.parentNode.insertBefore(a,b)})(window,document,'script','https://cdn.mambrum.com/m/mb.js','mb','".$clientId."');
        </script>" ;

        $buffer = preg_replace("/<\/head>/", "\n\n" . $script . "\n\n</head>", $buffer);
       // JResponse::setBody($buffer);
        $app->setBody($buffer);

        return true;
    }
}
?>
